{--------------------------------------------------------}
{
{    Variaveis globais do EDIVOX
{
{    Autor: Marcelo Luis Pinheiro
{
{    Orientador Academico: Jose' Antonio Borges
{
{    Em 10/12/93
{
{--------------------------------------------------------}

Unit edVars;

interface
uses Classes;

const
    VERSAO = '8.2';
    ALFABETA = '';
    LETRAS_DE_PALAVRA: set of char =
        ['A'..'Z', '', '', '', '', '',
         '', '', '', '', '', '', '', '', '', '', '', '',
         'a'..'z', '', '', '', '', '',
         '', '', '', '', '', '', '', '', '', '', '', '',
         '-', ''''];

type
    Frase = string;
    TipoTexto = TStringList;
    TCodif = (C_ANSI, C_UTF8, C_UNICODE, C_UNICODE_BIG);

var
    Texto : TipoTexto;          { o texto em si }
    maxLinhas: integer;         { quantas linhas preenchidas }

    posx, posy: integer;         { posicao do cursor no texto }
    margesq, margdir: integer;   { margens }
    inibloco, fimbloco: integer; { posicao do bloco marcado }

    mudo,                        { totalmente calado }
    soletrando,                  { soletragem acionada }
    falandoPalavra,                  { falar palavra acionada }
    enterInsLinha,               { enter insere linha }
    quebraAuto,                  { quebra automatica ao fim da linha }
    falaPontuacao,               { fala pontuao }
    falaEspacos ,                { fala nmero de espaos na frente}
    rapidinho: boolean;          { fala sintetica rapida }
    autoFala: boolean;           { ao mudar de linha, fala }
    extPadrao: string;           { extenso padro do arquivo}

    nomeArq : string;            { nome do arquivo editado }
    buscado : string;            { texto em busca }
    linhaRemovida: string;       { ultima linha removida }
    statusTecControle: word;     { status das teclas shift, control, etc }

    deslocEsqTela: integer;      { deslocamento durante a escrita }
    tamMaxLinha: integer;        { tamanho da linha para certa resolucao }
    corLetra, corFundo: integer; { cores de tracado }

    salvaCurx,                   { posicao salva do cursor }
    salvaCury: integer;

    ntabs: integer;              { numero de tabulacoes marcadas }
    tabs: array [1..30] of integer; { tabulacoes }

    dirSomEdivox: string;        { diretorio de mensagens do Edivox }

    dicCarregado: boolean;       { dicionrio est carregado }
    nomeArqDic,                  { arquivo do dicionrio }
    nomeArqSufixos,              { sufixos }
    nomeArqInexist,              { palavras foradas como erradas }
    nomeArqNomes,                { nomes prprios e siglas }
    nomeArqSugTroca: string;     { sugestes de troca }

    dicionarioAtivado: boolean;  { dicionario online ativado}
    corrigirTodoTexto: boolean;  {Corrige todo o texto no CTRL w}
    retomarNaLinha: boolean;
    iniMarca, fimMarca: integer; { trecho marcado na linha }
    somenteLeitura: boolean;     { j inicia lendo, nem pergunta se grava }
    perguntaAoSair: boolean;     {Pergunta se deseja sair do Edivox}
    sairMudo: boolean;     {Sair sem falar "Fim do Edivox"}
    informaCarga: boolean;       { informa ou no se arquivo carregado }
    veioDoDos: boolean;          { arquivo veio com opo /D }

    escreveApenasTexto: boolean;
    modoFalaFormatacao: char;
    comSapi: boolean;
    ansiUtfUnicode: TCodif;

    fatorAmpl: integer;          { fator de ampliao para baixa viso }

{--------------------------------------------------------}

const
    CONTROL = 4;

implementation
end.
